---
Description: "A task to update pipeline meta data"
Name: "update-pipeline"
Documentation: |
  This task populates the machine's pipeline and pipeline-uuid fields.

  If unset, it will set the value to universal/application and set the uuid.

Meta:
  type: "pipeline"
  icon: "cloud"
  color: "blue"
  title: "Digital Rebar Community Content"
  feature-flags: "sane-exit-codes"
Templates:
  - Name: "update-pipeline-linux.sh"
    Meta:
      OS: "linux"
    Contents: |
      #!/usr/bin/env bash
      {{ template "setup.tmpl" . }}
      {{ if .ParamExists "universal/application" }}
      {{ $ua := .Param "universal/application" }}
      p=$(drpcli machines meta get $RS_UUID pipeline 2>/dev/null || :)
      if [[ "$p" == "" ]] ; then
          echo "update pipeline!"
          drpcli machines meta set $RS_UUID key pipeline to {{$ua}}
          drpcli machines meta set $RS_UUID key pipeline-uuid to {{uuidv4}}
      fi
      {{ else }}
      echo "universal application is not present"
      echo "not updating meta data."
      {{ end }}
      exit 0
  - Name: "update-pipeline-esxi.sh"
    Meta:
      OS: "esxi"
    Contents: |
      #!/usr/bin/env sh
      # update-pipeline for ESXi platforms

      echo "The 'update-pipeline' task does not work on VMware ESXi platforms yet."
      exit 0

  - Name: "update-pipeline.ps1"
    Meta:
      OS: "windows"
    Contents: |
      # update-pipeline for Windows platforms
      Write-Host "The 'update-pipeline' task does not work on Windows platforms yet."
      exit 0

